#include <stdio.h>

static char help_text[] = { "\n\
Tells MS-DOS whether to verify that your files are written correctly to a\n\
disk.\n\n\
VERIFY [ON | OFF]\n\n\
Type VERIFY without a parameter to display the current VERIFY setting.\n\n\
Copyright 1995 Dave Dunfield - Freely distributable.\n" };

/*
 * Get current state of verify flag
 */
int get_verify() asm
{
		MOV		AH,54h		; Get verify function
		INT		21h			; Ask DOS
		XOR		AH,AH		; Zero high
}

/*
 * Set verify flag state
 */
void set_verify() asm
{
		MOV		AL,4[BP]	; Get argument
		MOV		AH,2Eh		; Set verify function
		XOR		DX,DX		; For DOS 1 & 2
		INT		21h			; Ask DOS
}

main(int argc, char *argv[])
{
	int *ptr;

	if(argc > 2)
		abort("Too many arguments\n");

	if(argc < 2) {	/* Display verify */
		printf("VERIFY is %s\n", get_verify() ? "ON" : "OFF");
		return; }

	if(!stricmp(ptr = argv[1], "/?"))
		fputs(help_text, stdout);
	else if(!stricmp(ptr, "OFF"))
		set_verify(0);
	else if(!stricmp(ptr, "ON"))
		set_verify(1);
	else
		printf("Must specify ON or OFF\n");
}
